use super::*;

pub async fn on_get_quest_data(
    _session: &NetSession,
    _player: &mut Player,
    req: GetQuestDataCsReq,
) -> NetResult<GetQuestDataScRsp> {
    Ok(GetQuestDataScRsp {
        retcode: Retcode::RetSucc.into(),
        quest_type: req.quest_type,
        quest_data: Some(QuestData::default()),
    })
}

pub async fn on_get_yorozuya_info(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetYorozuyaInfoCsReq,
) -> NetResult<GetYorozuyaInfoScRsp> {
    Ok(GetYorozuyaInfoScRsp {
        retcode: Retcode::RetSucc.into(),
        yorozuya_info: Some(YorozuyaInfo::default()),
    })
}

pub async fn on_get_archive_info(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetArchiveInfoCsReq,
) -> NetResult<GetArchiveInfoScRsp> {
    Ok(GetArchiveInfoScRsp {
        retcode: Retcode::RetSucc.into(),
        archive_info: Some(ArchiveInfo::default()),
    })
}
